from openai import OpenAI
from os import getenv

# gets API Key from environment variable OPENAI_API_KEY
client = OpenAI(
  base_url="https://openrouter.ai/api/v1",
  api_key=getenv("OR_API_KEY"),
)

completion = client.chat.completions.create(
  model="mistralai/mixtral-8x7b-instruct",
  messages=[
    {
      "role": "user",
      "content": "what are the latest papers on llm context limit?",
    },
  ],
)
print(completion.choices[0].message.content)