import os
import requests

# Get the API key from environment variables
perplexity_api_key = os.getenv('PERPLEXITY_API_KEY')

url = "https://api.perplexity.ai/chat/completions"

payload = {
    "model": "pplx-7b-online",
    "messages": [
        {
            "role": "system",
            "content": "Be precise and concise."
        },
        {
            "role": "user",
            "content": "when was Google Gemini model was released?"
        }
    ]
}
headers = {
    "accept": "application/json",
    "content-type": "application/json",
    "Authorization": f"Bearer {perplexity_api_key}"  # Add the API key to the headers
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)